Skip to main content
PUT
/
sales
/
{transactionId}
cURL
curl --request PUT \
  --url https://developers.nemu.com.br/api/v1/sales/{transactionId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "<string>",
  "customerEmail": "<string>",
  "date": "2023-12-25"
}
'
import requests

url = "https://developers.nemu.com.br/api/v1/sales/{transactionId}"

payload = {
"status": "<string>",
"customerEmail": "<string>",
"date": "2023-12-25"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: '<string>', customerEmail: '<string>', date: '2023-12-25'})
};

fetch('https://developers.nemu.com.br/api/v1/sales/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Use this endpoint to update information of an existing order.

Request example:

{
  "status": "paid",
  "customerEmail": "novocliente@gmail.com",
  "date": "2024-06-25"
}

Authorizations

Authorization
string
header
required

Token de API gerado no dashboard. Envie no header Authorization sem 'Bearer'. Exemplo: Authorization: 123456abcdef

Path Parameters

transactionId
string
required

ID da transação ou pedido a ser atualizado.

Body

application/json

Dados para atualização do pedido.

status
string

Novo status da transação ou pedido (paid, waiting_payment, checkout_completed, etc)

customerEmail
string

Novo email do comprador. Também aceita um valor em hash do email (ex: SHA-256)

date
string<date>

Nova data de criação do pedido (YYYY-MM-DD)

Response

Venda atualizada com sucesso.